# Use an official nginx image as the base
FROM nginx:alpine

# Set the maintainer label
LABEL maintainer="JCR"

# Copy the HTML files into the nginx html directory
COPY files/index.html /usr/share/nginx/html/index.html
COPY files/about.html /usr/share/nginx/html/about.html
COPY files/admin.html /usr/share/nginx/html/admin.html
COPY files/robots.txt /usr/share/nginx/html/robots.txt
COPY files/styles.css /usr/share/nginx/html/styles.css

# Expose port 80
EXPOSE 80

# Start nginx
CMD ["nginx", "-g", "daemon off;"]
